<div class="content-heading">
  <div>Configurações</div>
  <div class="ml-auto">
    <button (click)="salvar()" class="btn btn-primary button-right">Salvar</button>
  </div>
</div>

<form #form="ngForm" novalidate>

  <div class="row">

    <div class="col-md-6">

      <panel titulo="Configurações de e-mail">

        <div class="form-group">
          <label>E-mail:</label>
          <input type="email" [(ngModel)]="configuracoes.emailEmail" maxlength="255" id="emailEmail" name="emailEmail"
                 class="form-control"/>
        </div>

        <div class="form-group">
          <label>Servidor:</label>
          <input type="text" [(ngModel)]="configuracoes.emailServidor" maxlength="255" id="emailServidor"
                 name="emailServidor" class="form-control"/>
        </div>

        <div class="row" style="margin-bottom: 24px;">
          <div class="col-md-4">
            <div class="form-group">
              <label>Porta:</label>
              <p-inputMask [(ngModel)]="configuracoes.emailPorta" maxlength="4" styleClass="form-control"
                           id="emailPorta" name="emailPorta" mask="999?9"></p-inputMask>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>Protocolo:</label>
              <input type="text" [(ngModel)]="configuracoes.emailProtocolo" maxlength="255" id="emailProtocolo"
                     name="emailProtocolo" class="form-control"/>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label>Senha:</label>
              <input type="password" [(ngModel)]="configuracoes.emailSenha" maxlength="255" id="emailSenha"
                     name="emailSenha" class="form-control"/>
            </div>
          </div>
        </div>
      </panel>

    </div>

    <div class="col-md-6">

      <panel titulo="Dados de conexão SAP">

        <div class="row">

          <div class="col-md-6">
            <div class="form-group">
              <label>Usuário:</label>
              <input type="text" [(ngModel)]="configuracoes.sapUsuario" required="required" maxlength="255"
                     id="sapUsuario"
                     name="sapUsuario" class="form-control"/>
            </div>
          </div>

          <div class="col-md-6">
            <div class="form-group">
              <label>Senha:</label>
              <input type="password" [(ngModel)]="configuracoes.sapSenha" required="required" maxlength="255"
                     id="sapSenha"
                     name="sapSenha" class="form-control"/>
            </div>
          </div>

        </div>

      </panel>


      <panel titulo="Diretório Compartilhado">
        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label>Caminho:</label>
              <input type="text" [(ngModel)]="configuracoes.diretorioCaminho" required="required" maxlength="255"
                     id="diretorioCaminho"
                     name="diretorioCaminho" class="form-control"/>
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label>Senha inicial usuário:</label>
              <input type="text" [(ngModel)]="configuracoes.usuarioSenhaInicial" maxlength="255"
                     id="usuarioSenhaInicial"
                     name="usuarioSenhaInicial" class="form-control"/>
            </div>
          </div>
        </div>
      </panel>


    </div>
  </div>


  <div class="row">

    <div class="col-md-6">

      <panel titulo="Contatos">

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label>Telefone:</label>
              <p-inputMask [(ngModel)]="configuracoes.contatoTelefone" maxlength="255" styleClass="form-control"
                           id="contatoTelefone" name="contatoTelefone" mask="(999) 99999?-9999"></p-inputMask>
            </div>
          </div>

          <div class="col-md-6">
            <div class="form-group">
              <label>E-mail:</label>
              <input type="email" [(ngModel)]="configuracoes.contatoEmail" required="required" maxlength="255"
                     id="contatoEmail"
                     name="contatoEmail" class="form-control"/>
            </div>
          </div>
        </div>


      </panel>

    </div>

  </div>

  <div class="row">
    <div class="col-md-12">

      <div class="card card-default">
        <div class="card-header">
          <button (click)="salvar()" class="btn btn-primary button-right">Salvar</button>
        </div>
      </div>
    </div>
  </div>


</form>
